#!/usr/bin/python 

import numpy as np
import pylab
from pylab import *

mydtype=np.dtype([('Year','<f8'),('Jan', '<f8'), ('Feb', '<f8'), ('March', '<f8'), ('April', '<f8'), ('May', '<f8'), ('June', '<f8'), ('July', '<f8'), ('August', '<f8'), ('Sept', '<f8'), ('Oct', '<f8'), ('Nov', '<f8'), ('Dec', '<f8'),('Annual','<f8')])

data =  np.loadtxt('mtcimone.co2',skiprows=17,dtype=mydtype)

plot(data['Year'],data['Annual'], 'o')
title('Media precipitazioni annuali')
xlabel('Anno')
ylabel('Precipitazioni')
show()


ap,bp = np.polyfit(data['Year'],data['Annual'],1)

plot(data['Year'],data['Annual'], 'o',label='Media')
plot(data['Year'],ap * data['Year'] + bp,'g',label='Interpolation curve')

title('Media precipitazioni annuali')
xlabel('Anno')
ylabel('Precipitazioni')
legend()
show()


