from pylab import *
from numpy import *
import os
def fact(m):
    """
    Fattoriale
    """
    if m==0:
        return 1
    else:
        return m*fact(m-1)


def s(x,n):
    """
    S(x,n)
    """
    s=0.0
    j=arange(0,n)
    
    for j in xrange(n):
        s+=pow(-1,j)*pow(x,(2*j+1))/fact(2*j+1)
    
    return s

if __name__ == '__main__':

    n=[12,16,20,24]
    a=arange(0,4*pi,0.1)
    r=sin(a)
    count=1
    f=figure()
    for i in n:
        appx=[]
        print "Calcolo appossimazione n=", i
        for x in a:
            appx.append(s(x,i))
        subplot(2,2,count)
        plot(a,r,'r',a,appx,'g')
        xlabel('x')
        ylabel('y')
        stringa="Comparison Appx vs Sin(x) with n="+ str(i)
        title(stringa)
        count+=1
    show()
    s=raw_input("Path salvataggio immagini: ")
    s=os.path.join(s,'comparison.png')
    savefig(s,format='png')
    clf
    close(f)
    
